# Fieldset

### Usage

```twig
{% embed 'radix:fieldset' with {
  attributes: attributes.setAttribute('class', ['custom-fieldset-class']).setAttribute('disabled', disabled ? 'disabled' : null),
  disabled: true,
  errors: 'Please correct thegs errors below.',
  required: true,
  legend: {
    title: 'Personal Details',
    attributes: attributes.setAttribute('class', ['custom-legend-class'])
  },
  description: {
    content: 'Please provide your personal details below.',
    attributes: attributes.setAttribute('class', ['custom-description-class'])
  },
  prefix: 'Prefix content goes here',
  suffix: 'Suffix content goes here',
} %}
  {% block children %}
    <div class="mb-3">
      <label for="disabledTextInput" class="form-label">Disabled input</label>
      <input type="text" id="disabledTextInput" class="form-control" placeholder="Disabled input">
    </div>
    <div class="mb-3">
      <label for="disabledSelect" class="form-label">Disabled select menu</label>
      <select id="disabledSelect" class="form-select">
        <option>Disabled select</option>
      </select>
    </div>
    <div class="mb-3">
      <div class="form-check">
        <input class="form-check-input" type="checkbox" id="disabledFieldsetCheck" disabled>
        <label class="form-check-label" for="disabledFieldsetCheck">
          Can't check this
        </label>
      </div>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  {% endblock %}
{% endembed %}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trydrupal.com/radix/components/fieldset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
